
%define _target_cpu	i586

%define	cpm_l_version	1.0
%define	cpm_l_dirs	1
%define	cpm_l_libdsk	0

%define	summary	CP/M for Linux - cpmtools
%define	copy	GPL
%define	name	cpm4l-cpmtools
%define	version	2.4
%define	release	20050323

%if %{cpm_l_dirs}
%define	_sysmandir	%{_mandir}
%define	_sysinfodir	%{_infodir}
%define	_sysetcdir	%{_sysconfdir}

%if "%(echo $CPM4L)" == ""
%define	_prefix		/opt/cpm4l
%else
%define	_prefix		%(echo $CPM4L)
%endif

%define	_prefix		/opt/cpm4l
%define	_libexecdir	%{_prefix}/libexec
%define	_datadir	%{_prefix}/share
%define	_sysconfdir	%{_prefix}/etc
%define	_localstatedir	%{_prefix}/var/lib
%define	_mandir		%{_prefix}/man
%define	_infodir	%{_prefix}/info
%define	_docdir		%{_prefix}/doc
%endif

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
%if %{cpm_l_libdsk}
Release:	%{release}_libdsk
%else
Release:	%{release}
%endif
Copyright:	%{copy}
Distribution:	LiPronix
Vendor:		Li-Pro.Net
Packager:	Stephan Linz <linz@li-pro.net>
URL:		http://www.li-pro.net/cpm4l
Group:		Development/CPM4L/Disk
Icon:		cpm4l.xpm
ExclusiveOS:	linux
BuildRequires:	cpm4l-base >= 0.2
BuildRequires:	libncurses-devel >= 5
Provides:	cpmls
Provides:	cpmcp
Provides:	cpmrm
Provides:	cpmchmod
Provides:	cpmchattr
Provides:	mkfs.cpm
Provides:	fsck.cpm
Provides:	fsed.cpm
Requires:	cpm4l-base >= 0.2
%if %{cpm_l_libdsk}
BuildRequires:	cpm4l-libdsk-devel >= 1.1.4
Requires:	cpm4l-libdsk >= 1.1.4
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://www.moria.de/~michael/cpmtools/cpmtools-%{version}.tar.gz
Patch0:         cpmtools-%{version}-build_fixes.patch.bz2
Patch1:         cpmtools-%{version}-dirname_fixes.patch.bz2
Patch2:         cpmtools-%{version}-cpm4l_ext.patch.bz2

%description
CPM4L stands for CP/M for Linux and should you support with a comprehensive
tool suite of programs and utilities to access old CP/M discs, emulate
old CP/M software, and cross compile / assemble new CP/M software. The main
focuse will be at CP/M 2.2 for Z80 processors and some usage with Robotron
related material.

What's Robotron? Oh, I believe ther will be only few people who know it.
Robotron was the main computer company inside of the "good old" GdR.

Til now there are the following packages available:

   * see cpm4l-base package



This package allows to access CP/M file systems similar to the
well-known mtools package, which accesses MS-DOS file systems.
I use it for file exchange with a Z80-PC simulator, but it works
on floppy devices as well. Currently it contains:

  * cpmls     - list sorted directory with output similar to ls,
                DIR, P2DOS DIR and CP/M3 DIR[FULL]
  * cpmcp     - copy files from and to CP/M file systems
  * cpmrm     - erase files from CP/M file systems
  * cpmchmod  - change file permissions
  * cpmchattr - change file attributes
  * mkfs.cpm  - make a CP/M file system
  * fsck.cpm  - check and repair a CP/M file system (only simple
                errors can be repaired so far). Some images of
	        broken file systems are provided for testing.
  * fsed.cpm  - view CP/M file system

  * manual pages for everything including the CP/M file system
    format

All CP/M file system features are supported. Password protection
is ignored, because passwords are easy to decrypt, but a pseudo
file [passwd] contains them, if you are curious what your old
password has been. The disk label is read as special file [label].
User numbers are specified as user:file.

There is support for old Robotron CP/M floppies like SCP 780/800
or SCP 624/640.

%if %{cpm_l_libdsk}
LibDsk Support:
===============
This version of cpmtools work together with the fmous disk device
and image library named LibDsk. (EXPERIMENTAL)
%endif

%package doc
Summary:	%{summary} -- documentation
Group:		Development/CPM4L/doc
Requires:	%{name} = %{version}
Requires:	man
Prereq:		/usr/bin/man

%description doc
This is the documentation package for the cpmtools part of CPM4L. Have
a look at:

   * cpm4l-cpmtools-*

%prep
%setup -q -n cpmtools-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# CPM4L-zification for bug reports
#perl -pi -e '/^@set/ and s/(VERSION %{version})$/\1 \(CPM4L %{cpm_l_version} %{version}-%{release}\)/;' \
#	<versioning_header_file>

%build
CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}"
%if %{cpm_l_libdsk}
%configure --with-libdsk=%{_prefix} --with-defformat=scp624
%else
%configure --with-defformat=scp624
%endif
%make all

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man5}/
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall
for i in `file ${RPM_BUILD_ROOT}%{_bindir}/* | grep ELF | sed -e "s/:.*$//g"`; do \
  strip ${i}; done
for i in README COPYING INSTALL NEWS; do \
  install -D -m 0644 $i $RPM_BUILD_ROOT%{_docdir}/cpmtools-%{version}/$i; done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}
%config(noreplace) %{_sysconfdir}/diskdefs

%files doc
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%dir %{_docdir}/cpmtools-%{version}
%doc %{_docdir}/cpmtools-%{version}/*

%changelog
* Wed Mar 23 2005 Stephan Linz <linz@li-pro.net> 2.4-20050323
- added LibDsk support (run together with cpm4l-libdsk)
- upgrade to version 2.4

* Wed Mar 23 2005 Stephan Linz <linz@li-pro.net> 2.1-20050323
- RPM review and rebuild

* Sun Sep 22 2002 Stephan Linz <linz@li-pro.net>
- automatic rebuild
